﻿
//	thomas.d.papadopoulos@gmail.com

function readModel()
{

	// TEXT DATA

	titleText = 'Τετράγωνες Όψεις';
	
	problemText =	'Πρατηρήστε αυτό το στερεό που αποτελείται από 4 κυβάκια. ' +
					'Απ΄ όποιο μέρος κι αν το κοιτάξετε βλέπετε ένα τετράγωνο με πλευρά 2. ' +
					'Στους πάνω καμβάδες βλέπετε το στερό από πάνω, από την κόκκινη, την μπλε και την πράσινη πλευρά.<br>' +	
					'α) Πόσα κυβάκια λείπουν για να γίνει ένας συμπαγής κύβος με ακμή 2 κυβάκια; Συμπληρώστε τα.<br>' +
					'β) Φτιάξτε ένα στερεό με την ίδια ιδιότητα αλλά με πλευρά 3 κυβάκια. ' +
					'Προσπαθήστε να το κατασκευάσετε με όσο το δυνατόν λιγότερα κυβάκια. <br> '+
					'Η ιδέα για τη δραστηριότητα ήταν από ένα θέμα του διαγωνισμού Καγκουρό, το 2009.' ;
	
	authorText = 'Θωμάς Παπαδόπουλος';
	
	
	// last update
	
	// COLORS
	// Must always be 10 color hex values. The first one (index 0) is for internal use. You may change indices 1 .. 9.
	
	colors = [ 0x000000, 0xDF1F1F, 0xDFAF1F, 0x80DF1F, 0x006633, 0x1FDFDF, 0x1F4FDF, 0x7F1FDF, 0xDF1FAF, 0x000000 ];
	
	wireFrame = false;
	
	// end of last update	
	
	
	// DIMENSIONING
	
	gridDimension = 200;			
	cubeDimension = 50;	// this must be constant
	gridDensity = Math.floor(gridDimension / cubeDimension);
	
	// altered 8.6.13
	
	// COUNTERS
	
	init_show	= true;	// show number of blocks added by author
	usr_show	= true;	// show number of blocks added by user
	rare_show	= true;	// show number of blocks added by author, but deleted by user
	tot_show	= true;	// show total number of blocks currently in canvas
	
	// end of 8.6.13	
	
	// CAMERAS
	
	planeView = true;
	redView = true;
	blueView = true;
	greenView = true;
	
	
	// CANVAS DATA: 1 .. 9  for colorful cubes, 0 for empty space. Number of rows, columns and towers height must be equal to gridDensity.

	canvasGeometry = 
	[
		[	// 1st row
			[0,8,0,0],	// tower in 1st column
			[8,0,0,0],	// tower in 2nd column
			[0,0,0,0],	// tower in 3rd column
			[0,0,0,0],	// tower in 4th column
		],
		[	// 2nd row
			[8,0,0,0],	// tower in 1st column
			[0,8,0,0],	// tower in 2nd column
			[0,0,0,0],	// tower in 3rd column
			[0,0,0,0],	// tower in 4th column		
		],
		[	//3rd row
			[0,0,0,0],	// tower in 1st column
			[0,0,0,0],	// tower in 2nd column
			[0,0,0,0],	// tower in 3rd column
			[0,0,0,0],	// tower in 4th column		
		],
		[	// 4th row
			[0,0,0,0],	// tower in 1st column
			[0,0,0,0],	// tower in 2nd column
			[0,0,0,0],	// tower in 3rd column
			[0,0,0,0],	// tower in 4th column		
		]
	];
}